import shaders.ColorSwap;

var shader:ColorSwap;

function onCreatePost()
{
	shader = new ColorSwap();
	shader.hue = 0.8; // 0.8 is close
	// shader.mix = 1;
	
	FlxG.camera.addShader(shader.shader);
}

function onEvent(ev, v1, v2, time)
{
	if (ev == 'hueShift')
	{
		FlxTween.tween(shader, {mix: Std.parseFloat(v1)}, Std.parseFloat(v2));
	}
}
